package com.nokia.sms.action;

import com.nokia.sms.sgip.message.ReportMessage;
import com.nokia.sms.sgip.message.SgipMessage;
import com.nokia.sms.sgip.mo.server.Action;

import lombok.extern.slf4j.Slf4j;

@Slf4j
public class ReportAction implements Action {

	public void execute(SgipMessage message) {
		if (message instanceof ReportMessage) {
			// 收到状态报告
			ReportMessage rMessage = (ReportMessage) message;
			log.info("收到Report." + rMessage.toString());
		}

	}

}
